      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this license along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      ********************************************************************
       IDENTIFICATION          DIVISION.
       PROGRAM-ID.             SR1301.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : 쥻ץȡ
      *  ݡͥ̾  : 쥻ץٽʸñѹܥե˺
      *              : 
      *      ȼ        
      *****************************************************************
      *  ץཤ
      * Maj/Min/Rev               
      *****************************************************************
      *
       ENVIRONMENT                 DIVISION.
       CONFIGURATION               SECTION.
       INPUT-OUTPUT                SECTION.
       FILE-CONTROL.
      *
      *    쥻ץȣǡ
           SELECT  RECE02-FILE     ASSIGN  RECE01PARA
                                   ORGANIZATION    IS  INDEXED
                                   ACCESS  MODE    IS  DYNAMIC
                                   RECORD  KEY     IS  RECE02-KEY
                                   FILE    STATUS  IS  STS-RECE02.
      *    쥻ץȡʸñѹܡ˥ǡ
           SELECT  RECE11-FILE     ASSIGN  RECE11PARA
                                   ORGANIZATION    IS  INDEXED
                                   ACCESS  MODE    IS  DYNAMIC
                                   RECORD  KEY     IS  RECE11-KEY
                                   FILE    STATUS  IS  STS-RECE11.
      *    쥻ץȡʸñѹܡ˥ǡ
           SELECT  RECE111-FILE    ASSIGN  RECE11PARA
                                   ORGANIZATION    IS  INDEXED
                                   ACCESS  MODE    IS  SEQUENTIAL
                                   RECORD  KEY     IS  RECE111-KEY
                                   FILE    STATUS  IS  STS-RECE11.
      *    顼ե
           SELECT  RECEERR-FILE    ASSIGN  RECEERR
                                   FILE    STATUS  IS  STS-RECEERR.
      *
       DATA                        DIVISION.
       FILE                        SECTION.
      *
      *    쥻ץȣǡ
       FD  RECE02-FILE.
       01  RECE02-REC.
           COPY    "CPRCF002.INC".
      *
      *    쥻ץȡʸñѹܡ˥ǡ
       FD  RECE11-FILE.
       01  RECE11-REC. 
           COPY    "CPRCF011.INC".
      *
      *    쥻ץȡʸñѹܡˡǡ
       FD  RECE111-FILE.
       01  RECE111-REC. 
           COPY    "CPRCF011.INC"  REPLACING  //RECE11//
                                   BY         //RECE111//.
      *    顼ե
       FD  RECEERR-FILE.
       01  RECEERR-REC             PIC X(200). 
      *
       WORKING-STORAGE             SECTION.
      *
      *     쥻ץ٥ե ̾ΰ 
           COPY    "CPRECEDAT1.INC"
                                   REPLACING  //RECEDAT1//
                                   BY         //RECE01//.
      *
           COPY    "CPRECEDAT1.INC"
                                   REPLACING  //RECEDAT1//
                                   BY         //RECE11//.
      *
      *    顼ե ̾ΰ 
           COPY    "CPERRFL.INC"
                                   REPLACING  //ERRFLPARA//
                                   BY         //RECEERR//.
      *
      *    쥻ץĢɼ
           COPY    "HC06.INC".     
      *
      *    ե饰ΰ
       01  STS-AREA.
           03  STS-RECE11          PIC X(02).
           03  STS-RECE02          PIC X(02).
           03  STS-RECEERR         PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-END             PIC 9(01).
           03  FLG-HKNCOMBI        PIC 9(01).
           03  FLG-SYSKANRI        PIC 9(01).
           03  FLG-PRTFLG          PIC 9(01).
      *
      *    ΰ
       01  CNT-AREA.
           03  CNT-RECE02          PIC 9(06).
           03  CNT-RECE11          PIC 9(06).
      *
      *    źΰ
       01  IDX-AREA.
           03  IDX                 PIC 9(04).
           03  IDY                 PIC 9(04).
           03  IDZ                 PIC 9(04).
      *
      *    ΰ
       01  WRK-AREA.
      *    ѥ᥿ꥢ 
           03  WRK-PARA.
               05  WRK-PARA-SRYYM  PIC X(06).
               05  WRK-PARA-TERMID PIC X(16).
               05  WRK-PARA-SYSYMD PIC X(08).
               05  WRK-PARA-JOBID  PIC 9(07).
               05  WRK-PARA-SHELLID
                                   PIC X(08).
           03  WRK-PARA-HOSPNUM    PIC 9(02).
      *    顼å
           03  WRK-RECEERR         PIC X(200).
      *
           03  WRK-SRYKA           PIC X(30).
      *
      *    Խꥢ
       01  WRK-HENSYU-AREA.
           03  WRK-SYMD            PIC X(08).
           03  WRK-HENYMDG         PIC X(22).
           03  WRK-HENYMD.
               05  WRK-HGO         PIC X(01).
               05  WRK-HYY         PIC Z9.
               05  FILLER          PIC X(01)   VALUE  ".".
               05  WRK-HMM         PIC Z9.
               05  FILLER          PIC X(01)   VALUE  ".".
               05  WRK-HDD         PIC Z9.
      *
      *    ܥꥢ
        01  WRK-CONS-AREA.
            03  WRK-CONS-GENBAKU   PIC X(03)   VALUE   "019".
            03  WRK-CONS-MARUFUK   PIC X(03)   VALUE   "191".
            03  WRK-CONS-MARUNYU   PIC X(03)   VALUE   "190".         
      *
            03  WRK-CONS-GENBAKU-X PIC X(06)   VALUE   "ڸ".
            03  WRK-CONS-GENBAKU1-X
                                   PIC X(12)   VALUE   "ݡʸ".
            03  WRK-CONS-MARUNYU-X PIC X(06)   VALUE   "".
            03  WRK-CONS-MARUFUK-X PIC X(06)   VALUE   "ʡ".
            
      *
      *****************************************************************
      *    ե쥤
      *****************************************************************
      *
      *    ݸȤ߹碌
       01  HKNCOMBI-REC.
           COPY    "CPHKNCOMBI.INC".
      *
      *    ִޥ
       01  JOBKANRI-REC.
           COPY    "CPJOBKANRI.INC".
      *    
      *    Ų
           COPY    "CPSK1005.INC".
      *
      *****************************************************************
      *    ֥ץΰ
      *****************************************************************
      *
      *   Ѵ
           COPY    "CPORCSDAY.INC".
           COPY    "CPORCSLNK.INC".
      *
      *   ִģ極
           COPY    "CPORCSJOBKANRI.INC".
      *
      *    ģ¸
           COPY    "MCPDATA.INC".
      *
           COPY    "MCPAREA".
      *
           COPY    "COMMON-SPA".
      *
      ****************************************************************
       LINKAGE                 SECTION.
       01  COMMAND-PARAM.
           02  FILLER      PIC X(256).
      ****************************************************************
       PROCEDURE           DIVISION
               USING
           COMMAND-PARAM.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC                SECTION.
      *
           PERFORM 100-INIT-SEC
      *
           PERFORM 200-MAIN-SEC
                   UNTIL       FLG-END     =   1
      *
           PERFORM 300-END-SEC
      *
           STOP    RUN
           .
      *****************************************************************
      *    
      *****************************************************************
       100-INIT-SEC                SECTION.
      * 
      *     
           INITIALIZE                  FLG-AREA
           INITIALIZE                  STS-AREA
           INITIALIZE                  WRK-AREA
           INITIALIZE                  CNT-AREA
           INITIALIZE                  SPA-AREA
      *
      *ѥ᥿åȡ
           UNSTRING    COMMAND-PARAM   DELIMITED  BY  ","
                                       INTO    WRK-PARA
                                               WRK-PARA-HOSPNUM
                                               RECEERR
           END-UNSTRING
           MOVE    WRK-PARA-HOSPNUM    TO  SPA-HOSPNUM
      *
      *    ģ£ϣУţ
           PERFORM 900-DBOPEN-SEC
      *
      *    ƥå״ϥåȽ
           MOVE    "STS"               TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
           MOVE    WRK-PARA-JOBID      TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID    TO  JOB-SHELLID
           MOVE    "SR1301"            TO  JOB-PGID
           MOVE    "ñԽ"      TO  JOB-SHELLMSG
           MOVE    SPA-HOSPNUM         TO  JOB-HOSPNUM
           CALL    "ORCSJOB"           USING
                                       ORCSJOBKANRIAREA  
                                       JOBKANRI-REC
                                       SPA-AREA
      *
      *    եϣУţ
           MOVE    "RECE020"           TO  RECE01PARA-FILE-ID
           MOVE    WRK-PARA-TERMID     TO  RECE01PARA-TERMID
           MOVE    WRK-PARA-HOSPNUM    TO  RECE01PARA-HOSPNUM
      *
           MOVE    "RECE110"           TO  RECE11PARA-FILE-ID
           MOVE    WRK-PARA-TERMID     TO  RECE11PARA-TERMID
           MOVE    WRK-PARA-HOSPNUM    TO  RECE11PARA-HOSPNUM
      *
      *
           OPEN    INPUT               RECE02-FILE
      *
           OPEN    OUTPUT              RECE111-FILE
           CLOSE                       RECE111-FILE
      *
           OPEN    I-O                 RECE11-FILE
      *
      *    եңţ
           PERFORM 900-RECE02-READ-SEC
           .
       100-INIT-EXT.
           EXIT.
      *
      *
      *****************************************************************
      *    硡
      *****************************************************************
       200-MAIN-SEC                SECTION.
      *
      *
           INITIALIZE                      RECE11-REC
           MOVE    SPACE               TO  HC06
           MOVE    ZERO                TO  FLG-PRTFLG
      *
      *    ȣţԽ
           PERFORM 2001-HC06-HEAD-HENSYU-SEC     
      *
      *    £ϣģԽ
      ***     PERFORM 2002-HC06-BODY-HENSYU-SEC     
      *
      *    ƣϣϣԽ
      ***     PERFORM 2003-HC06-FOOT-HENSYU-SEC     
      *
      *    õԽ
           PERFORM 2004-HC06-TOKKI-HENSYU-SEC     
      *
      *    ¾Խ
           PERFORM 2005-HC06-ETC-HENSYU-SEC     
      *
      *   եϽ
           IF    ( HC06             NOT =   SPACE )
           OR    ( FLG-PRTFLG           =   1     )
               PERFORM 2005-WRITE-SEC
           END-IF
      *              
      *    եңţ
           PERFORM 900-RECE02-READ-SEC
           .
       200-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ȣţԽ
      *****************************************************************
       2001-HC06-HEAD-HENSYU-SEC   SECTION.
      *
      *    ץǤ쥻ץȤоݿŲ̾Ϣ뤷
      *    Խݼݤ줾̾ΤԽƤޤ
      *    ŲʤϿؤȿǤޤ
      *    ȣţģˤĤƤϣȣţģȽŤʤäܤȤʤäƤޤΤ
      *    ղ
      *
           IF      RECE02-TEISYUTUSAKI =   1
               MOVE    ""              TO  RECE11-HEAD4 (1) (59:)
           END-IF                                           
           IF      RECE02-TEISYUTUSAKI =   2
               MOVE    ""              TO  RECE11-HEAD4 (2) (59:)
           END-IF
      *
           MOVE    SPACE               TO  WRK-SRYKA
           PERFORM VARYING IDX FROM    1   BY  1
                   UNTIL   IDX >       20
                   OR      RECE02-SRYKA (IDX)  =   SPACE
               MOVE    SPACE                TO  SYS-1005-REC
               INITIALIZE                       SYS-1005-REC
               MOVE    SPA-HOSPNUM          TO  SYS-1005-HOSPNUM
               MOVE    "1005"               TO  SYS-1005-KANRICD
               MOVE    RECE02-SRYKA (IDX)   TO  SYS-1005-KBNCD
               MOVE    RECE02-SRYYM         TO  SYS-1005-STYUKYMD(1:6)
               MOVE    "01"                 TO  SYS-1005-STYUKYMD(7:2)
               MOVE    SYS-1005-STYUKYMD    TO  SYS-1005-EDYUKYMD
               MOVE    SYS-1005-REC         TO  MCPDATA-REC
               PERFORM 900-SYSKANRI-READ-SEC
               IF      FLG-SYSKANRI         =   ZERO
                   MOVE    MCPDATA-REC          TO  SYS-1005-REC
                   STRING  WRK-SRYKA       DELIMITED   BY  SPACE
                           SYS-1005-SRYKANAME
                                           DELIMITED   BY  SPACE 
                           ""            DELIMITED   BY  SIZE
                                           INTO    WRK-SRYKA
                   END-STRING
               END-IF    
           END-PERFORM
           MOVE    WRK-SRYKA           TO  RECE11-SRYKA
      *    
           MOVE    1                   TO  FLG-PRTFLG
           .
       2001-HC06-HEAD-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    £ϣģԽ
      *****************************************************************
       2002-HC06-BODY-HENSYU-SEC   SECTION.
      *
      *    ޥޥʡ
           IF      RECE02-TEISYUTUSAKI =   1
               PERFORM VARYING IDX FROM    1   BY  1
                       UNTIL   IDX >       10
                       OR      RECE02-HKNCOMBI (IDX)  =   ZERO
      *            ݸȹ礻ơ֥θ
                   INITIALIZE                       HKNCOMBI-REC
                   MOVE    RECE02-HOSPNUM       TO  COMB-HOSPNUM
                   MOVE    RECE02-PTID          TO  COMB-PTID
                   MOVE    RECE02-HKNCOMBI (IDX)
                                                TO  COMB-HKNCOMBINUM
                   MOVE    HKNCOMBI-REC         TO  MCPDATA-REC
                   PERFORM 900-HKNCOMBI-INV-SEC
                   IF      FLG-HKNCOMBI         =   ZERO 
                       PERFORM VARYING IDY FROM    1   BY  1
                               UNTIL   IDY >       4
                               OR      COMB-KOHHKNNUM(IDY) =   SPACE    
      *                    ޥΤȤ
                           IF      COMB-KOHHKNNUM (IDY)
                                                   =   WRK-CONS-MARUNYU
                               MOVE    WRK-CONS-MARUNYU-X
                                                   TO  HC06-BODY (47:6)
                               MOVE    4           TO  IDY
                               MOVE    10          TO  IDX    
                           END-IF
      *                    ޥʡΤȤ
                           IF      COMB-KOHHKNNUM (IDY)
                                               =   WRK-CONS-MARUFUK
                               MOVE    WRK-CONS-MARUFUK-X
                                                   TO  HC06-BODY (47:6)
                               MOVE    4           TO  IDY
                               MOVE    10          TO  IDX    
                           END-IF
                       END-PERFORM
                   END-IF    
               END-PERFORM
           END-IF                                           
           .
       2002-HC06-BODY-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ƣϣϣԽ
      *****************************************************************
       2003-HC06-FOOT-HENSYU-SEC   SECTION.
      *
      *****MOVE    ???                TO  HC06-FOOT (1)
      *
      *    Ϸܸ͡ʼݤΤȤ
           IF      RECE02-TEISYUTUSAKI =   1
           AND     RECE02-RJNHKNID     >   ZERO
               PERFORM VARYING IDX FROM    1   BY  1
                       UNTIL   IDX >       4
                       OR      RECE02-ETC-KOHNUM (IDX)  =   SPACE
                   IF      RECE02-ETC-KOHNUM  (IDX) 
                                           =   WRK-CONS-GENBAKU
                        MOVE    WRK-CONS-GENBAKU-X
                                           TO  HC06-FOOT (1)
                        MOVE    4          TO  IDX  
                   END-IF    
               END-PERFORM
           END-IF                                           
           .
       2003-HC06-FOOT-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    õԽ
      *****************************************************************
       2004-HC06-TOKKI-HENSYU-SEC   SECTION.
      *
      *    Ϸܸ͡ʹݤΤȤ
           IF      RECE02-TEISYUTUSAKI =   2
           AND     RECE02-RJNHKNID     >   ZERO
               PERFORM VARYING IDX FROM    1   BY  1
                       UNTIL   IDX >       10
                       OR      RECE02-HKNCOMBI (IDX)  =   ZERO
      *            ݸȹ礻ơ֥θ
                   INITIALIZE                       HKNCOMBI-REC
                   MOVE    RECE02-HOSPNUM       TO  COMB-HOSPNUM
                   MOVE    RECE02-PTID          TO  COMB-PTID
                   MOVE    RECE02-HKNCOMBI (IDX)
                                                TO  COMB-HKNCOMBINUM
                   MOVE    HKNCOMBI-REC         TO  MCPDATA-REC
                   PERFORM 900-HKNCOMBI-INV-SEC
                   IF      FLG-HKNCOMBI         =   ZERO 
                       PERFORM VARYING IDY FROM    1   BY  1
                               UNTIL   IDY >       4
                               OR      COMB-KOHHKNNUM(IDY) =   SPACE    
      *                    Ϸܸ͡
                           IF      COMB-KOHHKNNUM (IDY)
                                               =   WRK-CONS-GENBAKU
                               MOVE    WRK-CONS-GENBAKU1-X
                                                   TO  HC06-TOKKI   (1)
                               MOVE    "13"        TO  RECE11-TOKKI (1)
                               MOVE    4           TO  IDY
                               MOVE    10          TO  IDX  
                           END-IF
                       END-PERFORM
                   END-IF    
               END-PERFORM
           END-IF                                           
           .
       2004-HC06-TOKKI-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ¾Խ
      *****************************************************************
       2005-HC06-ETC-HENSYU-SEC   SECTION.
      *
      *    ԽܤϽͰʳΤȤΤޤԽޤ
      *    ؤȿǤޤ
      *
      *    ճˤĤƤRECE67-KYURATE򵯻ޤ
      *    ΤȤΤRECE67-KYURATE999ԽƲ
      *    ץǤϹݤξϷݸȤճɽ
      *    褦Խθ񤬤Ȥϣɽ褦Խ
      *    Ƥޤ 
      *
      *    ôֹ桦ֹϤɤ餫ԽƤ
      *    ξ֤ޤ
      *    ץǤôֹˡֹΤԽƤޤ
      *    ֹԽƤʤΤǶǰޤ
      *    
      *
      *    ܤεγƹܤˤĤƤ0ʳͤꤵƤС
      *    ꤵ줿ͤԽޤ
      *    ͤ˺ͤꤵƤ0Խޤ
      *    ץǤϹݤξоݤθô0ξ0
      *    Խ褦ꤷƤޤ
      *
      *    쥻ŤΰôˤĤƤͤ˺ͤꤵƤ
      *    0ԽޤͰʳξͤԽϹԤޤ
      *    ץǤϹݤξоݤθôۤ0ξ0
      *    Խ褦ꤷƤޤ̾ϵܤʤ
      *
      *    ճ
           IF      RECE02-TEISYUTUSAKI =   "2"
           AND     RECE02-RJNHKNID     >   ZERO
               MOVE    RECE02-KYURATE      TO  RECE11-KYURATE
               MOVE    1                   TO  FLG-PRTFLG
           END-IF             
           IF      RECE02-TEISYUTUSAKI =   "2"
               PERFORM VARYING IDX FROM    1   BY  1
                       UNTIL   IDX >       4
                   IF      RECE02-KOHNUM (IDX) =   "190"
                       MOVE    999                 TO  RECE11-KYURATE
                       MOVE    1                   TO  FLG-PRTFLG
                   END-IF
               END-PERFORM
           END-IF
      *
      *    ôֹ桦ֹ
           IF      RECE02-TEISYUTUSAKI =   "2"
               PERFORM VARYING IDX FROM    1   BY  1
                       UNTIL   IDX >       4
                   IF      RECE02-KOHNUM (IDX) =   "190"
                       MOVE    "19"        TO  RECE11-KOHFTNJANUM (IDX)
                       MOVE    1           TO  FLG-PRTFLG
                       MOVE    4           TO  IDX
                   END-IF
               END-PERFORM
           END-IF
      *
      *    ܤε
           IF      RECE02-TEISYUTUSAKI =   "2"
               PERFORM VARYING IDX FROM    1   BY  1
                       UNTIL   IDX >       4
                 IF      RECE02-KOHNUM (IDX)   =   "190"
                   COMPUTE IDY     =   IDX     +   1
      *    
                   IF      RECE02-JNISSU (IDY)   =   ZERO
                       MOVE    99          TO  RECE11-JNISSU     (IDY)
                   END-IF
      *
      *    
                   IF      RECE02-TOTALTEN (IDY) =   ZERO
                      MOVE    99999999    TO  RECE11-TOTALTEN    (IDY)
                   END-IF
      *
      *    ô
                   IF      RECE02-FTNMONEY (IDY)   =   ZERO
                       MOVE    999999999   TO  RECE11-FTNMONEY   (IDY)
                       MOVE    999999999   TO  RECE11-RECEDEN-FTNMONEY
                                                                 (IDY)
                   END-IF
      *
                   MOVE    1           TO  FLG-PRTFLG
                 END-IF
               END-PERFORM
           END-IF       
      *
           MOVE   "12121212"             TO RECE11-KOHFTNJANUM (1)
           MOVE   "34343434"             TO RECE11-KOHFTNJANUM (2)
           MOVE   "56565656"             TO RECE11-KOHFTNJANUM (3)
           MOVE   "1234567"              TO RECE11-KOHJKYSNUM  (1)
           MOVE   "8901234"              TO RECE11-KOHJKYSNUM  (2)
           MOVE   "5678901"              TO RECE11-KOHJKYSNUM  (3)
           MOVE    10                    TO  RECE11-JNISSU     (2)
           MOVE    1200                  TO  RECE11-TOTALTEN   (2)
           MOVE    250                   TO  RECE11-FTNMONEY   (2)
           MOVE    20                    TO  RECE11-JNISSU     (3)
           MOVE    2500                  TO  RECE11-TOTALTEN   (3)
           MOVE    360                   TO  RECE11-FTNMONEY   (3)
           MOVE    30                    TO  RECE11-JNISSU     (4)
           MOVE    56120                 TO  RECE11-TOTALTEN   (4)
           MOVE    7200                  TO  RECE11-FTNMONEY   (4)
           MOVE    1                     TO  FLG-PRTFLG
           .
       2005-HC06-ETC-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *   եϽ
      *****************************************************************
       2005-WRITE-SEC              SECTION.
      *
           MOVE    RECE02-KEY          TO  RECE11-KEY
           MOVE    HC06                TO  RECE11-PRTDATA 
      *
           WRITE   RECE11-REC
           ADD     1                   TO  CNT-RECE11
      *
           DISPLAY "RECE11 PTID=" RECE11-PTID
      *
           .
       2005-WRITE-EXT.
           EXIT.
      *
      *****************************************************************
      *    λ
      *****************************************************************
       300-END-SEC                 SECTION.
      *
      *    եạ̃ϣӣŽ
           CLOSE                       RECE02-FILE
           CLOSE                       RECE11-FILE     
      *
      *    ƥå״λ
           MOVE    "STE"               TO  SJOBKANRI-MODE
           INITIALIZE                      JOBKANRI-REC
           MOVE    WRK-PARA-JOBID      TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID    TO  JOB-SHELLID
           MOVE    SPA-HOSPNUM         TO  JOB-HOSPNUM
           CALL    "ORCSJOB"           USING
                                       ORCSJOBKANRIAREA  
                                       JOBKANRI-REC
                                       SPA-AREA
      *
           PERFORM 900-DBDISCONNECT-SEC
      *
           DISPLAY "RECE02  IN  "      CNT-RECE02
           DISPLAY "RECE11  CNT "      CNT-RECE11
           DISPLAY "*** SR1301 END ***"
           .
       300-END-EXT.
           EXIT.
      *
      *****************************************************************
      *    顼Ͻ
      *****************************************************************
       500-ERR-HENSYU-SEC          SECTION.
      *
           OPEN    INPUT   RECEERR-FILE
           IF      STS-RECEERR         =   ZERO
               CLOSE   RECEERR-FILE
           ELSE
               OPEN    OUTPUT          RECEERR-FILE
      *
               MOVE    WRK-RECEERR     TO  RECEERR-REC
               WRITE   RECEERR-REC
               CLOSE   RECEERR-FILE
      *         
      *        ִλ
               MOVE    "JBE"           TO  SJOBKANRI-MODE
               INITIALIZE                  JOBKANRI-REC
               MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
               MOVE    WRK-PARA-SHELLID
                                       TO  JOB-SHELLID
               MOVE    WRK-RECEERR     TO  JOB-YOBI
               MOVE    "9999"          TO  JOB-ERRCD
               MOVE    SPA-HOSPNUM     TO  JOB-HOSPNUM
               CALL    "ORCSJOB"       USING
                                       ORCSJOBKANRIAREA  
                                       JOBKANRI-REC
                                       SPA-AREA
           END-IF
      *                             
           MOVE    1                   TO  FLG-END
      *
           .
       500-ERR-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ѵ
      *****************************************************************
       510-YMD-HENSYU-SEC          SECTION.
      *    ܸѴ
           INITIALIZE                  STS-AREA-DAY
           INITIALIZE                  LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD            TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
      *     MOVE    LNK-DAY2-EDTYMD3   TO  WRK-HENYMDG
           .
       510-YMD-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    쥻ץȣǡ縡
      *****************************************************************
       900-RECE02-READ-SEC         SECTION.
      *
           READ    RECE02-FILE         NEXT
               AT  END
                   MOVE    1           TO  FLG-END
               NOT AT  END
                   ADD     1           TO  CNT-RECE02
      *
                   DISPLAY "RECE02 PTNUM=" RECE02-PTNUM     
      *
           END-READ
      *
           .
       900-RECE02-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸȹ礻ޥɹ
      *****************************************************************
       900-HKNCOMBI-INV-SEC        SECTION.
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "tbl_hkncombi"      TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "tbl_hkncombi"      TO  MCP-TABLE
               MOVE    "key"               TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"         USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO            TO  FLG-HKNCOMBI
                   MOVE    MCPDATA-REC     TO  HKNCOMBI-REC
               ELSE
                   MOVE    1               TO  FLG-HKNCOMBI
               END-IF
           ELSE
               MOVE    1                   TO  FLG-HKNCOMBI
           END-IF
      *
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
           MOVE    "tbl_hkncombi"      TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *
           .
       900-HKNCOMBI-INV-EXT.
           EXIT.
      *
      *****************************************************************
      *    ƥޥɹ
      *****************************************************************
       900-SYSKANRI-READ-SEC         SECTION.
      *
           MOVE    "DBSELECT"      TO  MCP-FUNC
           MOVE    "tbl_syskanri"  TO  MCP-TABLE
           MOVE    "key10"         TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"     USING
                                   MCPAREA
                                   MCPDATA-REC
                                   SPA-AREA
           IF      MCP-RC          =   ZERO
               MOVE    "DBFETCH"       TO  MCP-FUNC
               MOVE    "tbl_syskanri"  TO  MCP-TABLE
               MOVE    "key10"         TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"     USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
               IF      MCP-RC          =   ZERO
                   MOVE    ZERO        TO  FLG-SYSKANRI
               ELSE
                   MOVE    1           TO  FLG-SYSKANRI
               END-IF
           ELSE
               MOVE    1               TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    "DBCLOSECURSOR" TO  MCP-FUNC
           MOVE    "tbl_syskanri"  TO  MCP-TABLE
           MOVE    "key10"         TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"     USING
                                   MCPAREA
                                   MCPDATA-REC
                                   SPA-AREA
           .
       900-SYSKANRI-READ-EXT.
           EXIT.
      *      
      *****************************************************************
      *    ģ¡ץ
      *****************************************************************
       900-DBOPEN-SEC                SECTION.
      *
           MOVE    LOW-VALUE       TO  MCP-TABLE
                                       MCP-PATHNAME
           MOVE    "DBOPEN"        TO  MCP-FUNC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *
           MOVE    LOW-VALUE       TO  MCP-TABLE
                                       MCP-PATHNAME
           MOVE    "DBSTART"       TO  MCP-FUNC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
           .
       900-DBOPEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡
      *****************************************************************
       900-DBDISCONNECT-SEC            SECTION.
      *
           MOVE    LOW-VALUE       TO  MCP-TABLE
                                       MCP-PATHNAME
           MOVE    "DBCOMMIT"      TO  MCP-FUNC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *
           MOVE    LOW-VALUE       TO  MCP-TABLE
                                       MCP-PATHNAME
           MOVE    "DBDISCONNECT"  TO  MCP-FUNC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
           .
       900-DBDISCONNECT-EXT.
           EXIT.
